Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Capabilities.Layer

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.Capabilities.Layer

Enclosing class:
  Capabilities

    public static final class Capabilities.Layer

extends Object

Encapsulates information about a map layer.

Nested Class Summary
`static class` | `Capabilities.Layer.Attribution` Encapsulates the Attribution of a layer.
`static class` | `Capabilities.Layer.Dimension` Encapsulates a Dimension.
`static class` | `Capabilities.Layer.Extent` Encapsulates the Extent of a Dimension.
`static class` | `Capabilities.Layer.Identifier` Encapsulates an Identifier of a layer.
`static class` | `Capabilities.Layer.MetadataUrl` Encapsulates a Metadata URL regarding a layer.
`static class` | `Capabilities.Layer.ScaleHint` Encapsulates a ScaleHint; a hint of minimum and maximum scales at which it is appropriate to display a layer.
`static class` | `Capabilities.Layer.Style` Encapsulates a Style for a layer.

Method Summary
`String` | `getAbstract()` Returns the abstract (a short description) of this layer.
`Capabilities.Layer.Attribution` | `getAttribution()` Returns the Attribution of this layer; may be `null`.
`Map<String,String>` | `getAuthorityNamesToUrlsMap()` Returns a map from Authority names to Authority URLs.
`int` | `getCascadedCount()` Returns the cascaded count.
`List<Capabilities.Layer>` | `getChildren()` Returns the list of child layers of this layer.
`List<Capabilities.UrlWithFormat>` | `getDataUrls()` Returns the list of DataURLs for this layer.
`Map<String,Capabilities.Layer.Extent>` | `getDimensionNamesToExtentsMap()` Returns a map from dimension names in lowercase to the corresponding Extent instances.
`List<Capabilities.Layer.Dimension>` | `getDimensions()` Returns the list of Dimensions for this layer.
`List<Capabilities.UrlWithFormat>` | `getFeatureListUrls()` Returns the list of FeatureListURLs for this layer.
`SizeView` | `getFixedSize()` If this layer has a fixed size, in pixels, returns it; otherwise, returns `null`.
`List<Capabilities.Layer.Identifier>` | `getIdentifiers()` Returns the list of Identifiers for this layer.
`List<String>` | `getKeywordList()` Returns a list of keywords pertaining to this layer.
`BoundingBox` | `getLatLonBoundingBox()` Returns the LatLonBoundingBox of this layer.
`List<Capabilities.Layer.MetadataUrl>` | `getMetadataUrls()` Returns the list of MetadataURLs for this layer.
`String` | `getName()` Returns the name of this layer; `null` if the layer is unnamed.
`Capabilities.Layer` | `getParent()` Returns the parent layer; `null` if this is a toplevel layer.
`Capabilities.Layer.ScaleHint` | `getScaleHint()` Returns the ScaleHint for this layer; `null` if none.
`List<String>` | `getSrses()` Returns the list of SRSes for this layer.
`Map<String,BoundingBox>` | `getSrsToBoundingBoxMap()` Returns a map of SRSes to bounding boxes of this layer in that SRS.
`List<Capabilities.Layer.Style>` | `getStyles()` Returns the list of styles for this layer.
`String` | `getTitle()` Returns the title of this layer.
`boolean` | `isOpaque()` Returns whether this layer is opaque.
`boolean` | `isQueryable()` Returns whether this layer is queryable.
`boolean` | `isSubsettable()` Returns whether this layer is subsettable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParent

    public Capabilities.Layer getParent()

  Returns the parent layer; `null` if this is a toplevel layer.

### isQueryable

    public boolean isQueryable()

  Returns whether this layer is queryable.

### getCascadedCount

    public int getCascadedCount()

  Returns the cascaded count.

### isOpaque

    public boolean isOpaque()

  Returns whether this layer is opaque.

### isSubsettable

    public boolean isSubsettable()

  Returns whether this layer is subsettable.

### getFixedSize

    public SizeView getFixedSize()

  If this layer has a fixed size, in pixels, returns it; otherwise, returns `null`.

### getName

    public String getName()

  Returns the name of this layer; `null` if the layer is unnamed.

### getTitle

    public String getTitle()

  Returns the title of this layer.

### getAbstract

    public String getAbstract()

  Returns the abstract (a short description) of this layer.

### getKeywordList

    public List<String> getKeywordList()

  Returns a list of keywords pertaining to this layer. The returned list is unmodifiable.

### getSrses

    public List<String> getSrses()

  Returns the list of SRSes for this layer. The returned list is unmodifiable.

### getLatLonBoundingBox

    public BoundingBox getLatLonBoundingBox()

  Returns the LatLonBoundingBox of this layer.

### getSrsToBoundingBoxMap

    public Map<String,BoundingBox> getSrsToBoundingBoxMap()

  Returns a map of SRSes to bounding boxes of this layer in that SRS. The returned map is unmodifiable.

### getDimensions

    public List<Capabilities.Layer.Dimension> getDimensions()

  Returns the list of Dimensions for this layer. The returned list is unmodifiable.

### getDimensionNamesToExtentsMap

    public Map<String,Capabilities.Layer.Extent> getDimensionNamesToExtentsMap()

  Returns a map from dimension names in lowercase to the corresponding Extent instances. The returned map is unmodifiable.

### getAttribution

    public Capabilities.Layer.Attribution getAttribution()

  Returns the Attribution of this layer; may be `null`.

### getAuthorityNamesToUrlsMap

    public Map<String,String> getAuthorityNamesToUrlsMap()

  Returns a map from Authority names to Authority URLs. The returned map is unmodifiable.

### getIdentifiers

    public List<Capabilities.Layer.Identifier> getIdentifiers()

  Returns the list of Identifiers for this layer. The returned list is unmodifiable.

### getMetadataUrls

    public List<Capabilities.Layer.MetadataUrl> getMetadataUrls()

  Returns the list of MetadataURLs for this layer. The returned list is unmodifiable.

### getDataUrls

    public List<Capabilities.UrlWithFormat> getDataUrls()

  Returns the list of DataURLs for this layer. The returned list is unmodifiable.

### getFeatureListUrls

    public List<Capabilities.UrlWithFormat> getFeatureListUrls()

  Returns the list of FeatureListURLs for this layer. The returned list is unmodifiable.

### getStyles

    public List<Capabilities.Layer.Style> getStyles()

  Returns the list of styles for this layer. The returned list is unmodifiable.

### getScaleHint

    public Capabilities.Layer.ScaleHint getScaleHint()

  Returns the ScaleHint for this layer; `null` if none.

### getChildren

    public List<Capabilities.Layer> getChildren()

  Returns the list of child layers of this layer. The returned list is unmodifiable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD